/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.reflection.mockup;

import java.util.List;
import java.util.Map;
import javax.jws.WebParam;
import net.ranides.assira.annotations.Meta;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public class ForIArguments {
    
    public ForIArguments(List<String> list) { }
    
    public ForIArguments(int a, int b) { }
    
    public ForIArguments() { }
    
    public void fun1(int a, int b) { }
    
    public void fun2(float a, float b) { }
    
    public void fun3(Integer ia, Integer ib) { }
    
    public void fun4(Map<Integer, String> map) { }
    
    public void fun5(List<Integer> ilist) { }
    
    public void fun6(List<String> slist) { }
    
    public void fun7(char x, boolean y) { }
    
    public void fun8(boolean x, char y) { }
    
    public void fun9(
        @Deprecated boolean reserved, 
        @WebParam(name = "yparam") List<String> list
    ) { }
    
}
